Name:           jack-rack
Version:        1.4.7
Release:        24%{?dist}
Summary:        Stereo LADSPA effects rack for the JACK audio API

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://jack-rack.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:         jack-rack-1.4.5rc1-ladspa-path.patch
Patch1:         jack-rack-desktop_fix.patch
Patch2:         jack-rack-1.4.7-ldflags.patch

BuildRequires: libtool

BuildRequires: gettext-devel, desktop-file-utils
BuildRequires: gtk2-devel libgnomeui-devel alsa-lib-devel
BuildRequires: ladspa-devel curl-devel
BuildRequires: jack-audio-connection-kit-devel >= 0.66.3
BuildRequires: liblrdf-devel openssl-devel
BuildRequires: lash-devel, libxml2-devel


%description
JACK Rack is a stereo LADSPA effects rack for the JACK audio API.  It uses
GTK+ 2 for the gui. LADSPA version 1.1 is needed.


%prep
%setup -q
%if %{_lib} == "lib64"
%patch0 -p1
%endif
%patch1 -p1 -b .fix
%patch2 -p1 -b .ldflags

autoreconf -vif

# Fix encoding
cp -p NEWS NEWS.ISO-8859-1
iconv -f ISO-8859-1 -t UTF-8 NEWS.ISO-8859-1 -o NEWS
touch -r NEWS.ISO-8859-1 NEWS

%build
%configure --enable-lash --disable-gnome
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p -c"

mkdir -p $RPM_BUILD_ROOT%{_datadir}/xml/jack-rack/dtds
cp -p $RPM_BUILD_ROOT%{_datadir}/dtds/* \
  $RPM_BUILD_ROOT%{_datadir}/xml/jack-rack/dtds
rm -rf $RPM_BUILD_ROOT%{_datadir}/dtds/


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
  --vendor "fedora"             \
%endif
  --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
  --delete-original                                \
  --add-category X-Fedora                          \
  --add-category X-DigitalProcessing               \
 $RPM_BUILD_ROOT%{_datadir}/applications/jack-rack.desktop


%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS BUGS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/ecarack
%{_bindir}/jack-rack
%{_datadir}/jack-rack/
%{_datadir}/xml/jack-rack/
%{_datadir}/applications/*jack-rack.desktop
%{_datadir}/pixmaps/jack-rack-icon.png


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.7-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.7-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.7-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.7-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.7-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.7-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar  6 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 1.4.7-14
- Remove vendor prefix from desktop file in F19+ https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 13 2012 Nicolas Chauvet <kwizart@gmail.com> - 1.4.7-11
- Disable gnomeui - https://bugzilla.redhat.com/715939

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.4.7-9
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 28 2010 Nicolas Chauvet <kwizart@gmail.com> - 1.4.7-7
- Add gettext-devel for autopoint

* Fri Nov 05 2010 Nicolas Chauvet <kwizart@gmail.com> - 1.4.7-6
- Rebuilt for libxml2

* Sun Feb 14 2010 Nicolas Chauvet <kwizart@fedoraproject.org> - 1.4.7-5
- Fix Missing ldflags - rhbz#564926

* Wed Sep 23 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.4.7-4
- Update desktop file according to F-12 FedoraStudio feature

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 13 2008 kwizart < kwizart at gmail.com > - 1.4.7-1
- Update to 1.4.7

* Sat Feb  9 2008 kwizart < kwizart at gmail.com > - 1.4.6-4
- Rebuild for gcc43

* Wed Oct 11 2007 kwizart <kwizart at gmail.com > - 1.4.6-3
- Build with new lash 5.3 
  (Removed obsolete ladcca-devel)
- Move dtds dir. to %%{_datadir}/xml/jack-rack/dtds

* Wed Oct  4 2007 kwizart <kwizart at gmail.com > - 1.4.6-2
- Fix desktop file, License field, NEWS encoding
- Add BR ladcca-devel and Add --enable-lash

* Tue Aug 28 2007 kwizart <kwizart at gmail.com > - 1.4.6-1
- Update to 1.4.6
- Spec clean-up

* Sat May 19 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.5-1
- update to 1.4.5 final

* Wed Dec  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.5-0.2.rc1
- spec file tweaks, moved icon to proper freedesktop directory, 
  added post/postun scripts
- added patch for ladspa path on x86_64

* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.5-0.1.rc1
- update to 1.4.5rc1, includes support for LASH

* Fri May 12 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.4-3
- restore proper gnome build dependency

* Sun May  7 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.4-2
- add Planet CCRMA categories to desktop file

* Fri Nov 18 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.4-1
- updated to 1.4.4, build requirements now include lash (instead of ladcca)

* Fri Jun 24 2005 Mario Torre <mppr_kris@tiscali.it>
- Added a patch to compile with jack version >= 0.99.36-cvs, the patch removes
  a reference to jack_set_server_dir, deprecated in jack 0.99.0 and now
  totally removed.
  If Fernando forgives me, this patch is dedicated to Piera and Emilia :)
- Added a patch to fix a problem with gettext - needs some more investigation
  of the problem

* Sun Dec 26 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.3-3
- spec file cleanup
- jack_set_server_dir is no longer supported, erase '-D' option

* Sat May  8 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added proper buildrequires

* Sun Feb 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.3-2
- rebuild for liblrdf 0.3.5

* Sat Nov  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.3-1
- spec file cleanup

* Thu Nov  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.3-1
- updated to 1.4.3, needs ladcca >= 0.4.0

* Sat Jul 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.2-1
- updated to 1.4.2
- added local files to file list

* Wed Apr  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.1-2
- rebuild for jack 0.66.3, added explicit requires for it

* Fri Feb 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.1-1
- updated to 1.4.1

* Sat Feb 15 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.0-1
- updated to 1.4.0
- added dtd's in file list

* Wed Feb 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.3.0-1
- updated to 1.3.0

* Wed Feb  5 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2.0-1
- updated to 1.2.0

* Tue Jan 14 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1.1-1
- added proper patch for icon issue (thanks to Bob Ham)
- added patch to make gcc2.96 happy on redhat 7.3

* Mon Jan 13 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1.1-1
- updated to 1.1.1, now uses librdf and ladcca
- patched to compile with gtk2 2.0.6 (otherwise uses a 2.2 feature)
- added desktop entry compatible with 7.2/7.3/8.0

* Mon Dec 30 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.1-1
- update to 1.0.1

* Mon Nov 11 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0-1
- Initial build.

